edu.ucsb.nceas.metacat.index

## Class IndexEventDAO

- java.lang.Object
- - edu.ucsb.nceas.metacat.index.IndexEventDAO

-     public class IndexEventDAO
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(edu.ucsb.nceas.metacat.common.index.event.IndexEvent event)`
    `edu.ucsb.nceas.metacat.common.index.event.IndexEvent` | `get(org.dataone.service.types.v1.Identifier identifier)`
    `java.util.Set<org.dataone.service.types.v1.Identifier>` | `getAllIdentifiers()`
    `static IndexEventDAO` | `getInstance()`
    `void` | `remove(org.dataone.service.types.v1.Identifier identifier)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static IndexEventDAO getInstance()

    - #### add

          public void add(edu.ucsb.nceas.metacat.common.index.event.IndexEvent event)
                   throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### remove

          public void remove(org.dataone.service.types.v1.Identifier identifier)
                      throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### get

          public edu.ucsb.nceas.metacat.common.index.event.IndexEvent get(org.dataone.service.types.v1.Identifier identifier)
                                                                   throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getAllIdentifiers

          public java.util.Set<org.dataone.service.types.v1.Identifier> getAllIdentifiers()
                                                                                   throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

Copyright © 2023 Regents of the University of California. All Rights Reserved.